
$header
<SCRIPT language=JavaScript>

function insertstr(str)
{
document.ctbform.replyBody.value=document.ctbform.replyBody.value+str;
}
function btn_q()
{
 txt=prompt("引用内容:","文字");     
 if(txt!=null)
 {
  AddTxt="[quote]"+txt;
  insertstr(AddTxt);
  AddTxt="[/quote]";
  insertstr(AddTxt);
 }	        
}
function btn_email()
{
 txt=prompt("Email:","@");     
 if(txt!=null)
 {
  AddTxt="[email]"+txt;
  insertstr(AddTxt);
  AddTxt="[/email]";
  insertstr(AddTxt);
 }	        
}
function btn_url()
{
 txt=prompt("URL:","http://");     
 if(txt!=null)
 {
  AddTxt="[url]"+txt;
  insertstr(AddTxt);
  AddTxt="[/url]";
  insertstr(AddTxt);
 }	        
}
function btn_swf()
{
 txt=prompt("Flash动画的URL地址:","http://");    
 if(txt!=null)
 {            
  AddTxt="[swf width=450 height=280]"+txt;
  insertstr(AddTxt);
  AddTxt="[/swf]";
  insertstr(AddTxt);
 }	
}
function btn_img()
{
 txt=prompt("图片的URL地址:","http://");    
 if(txt!=null)
 {            
  AddTxt="[img]"+txt;
  insertstr(AddTxt);
  AddTxt="[/img]";
  insertstr(AddTxt);
 }	
}
function showcolor(color)
{
 txt=prompt("文字颜色:"+color,"文字");
 if(txt!=null)
 {
  AddTxt="[color="+color+"]"+txt;
  insertstr(AddTxt);        
  AddTxt="[/color]";
  insertstr(AddTxt);
  } 
 }
function btn_i()
{
 txt=prompt("斜体文字:","斜体字");     
 if (txt!=null)
 {
  AddTxt="[i]"+txt;
  insertstr(AddTxt);
  AddTxt="[/i]";
  insertstr(AddTxt);
 }	        
}
function btn_u()
{
 txt=prompt("下划线文字:","下划线文字");     
 if (txt!=null)
 {
  AddTxt="[u]"+txt;
  insertstr(AddTxt);
  AddTxt="[/u]";
  insertstr(AddTxt);
 }	        
}
function btn_b()
{
 txt=prompt("粗体文字:","粗体字");     
 if (txt!=null)
 {           
  AddTxt="[b]"+txt;
  insertstr(AddTxt);
  AddTxt="[/b]";
  insertstr(AddTxt);
 }	        
}
</SCRIPT>
<script language="javascript">
<!--
var postmaxchars = 12345;
function validate(theform) {
	if (theform.reply_body.value=="" || theform.reply_title.value=="") {
		alert("你必须填写主题和信息栏!");
		return false; }
	if (postmaxchars != 0) {
		if (theform.reply_body.value.length > 12345) {
			alert("你的信息太长了. 请限制在 12345 个字符以内. 目前已经有 "+theform.reply_body.value.length+" 个字符.");
			return false; }
		else { return true; }
	} else { return true; }
}
function btn_code()
{
 txt=prompt("插入代码:","在此填写代码");     
 if (txt!=null)
 {           
  AddTxt="[code]"+txt;
  insertstr(AddTxt);
  AddTxt="[/code]";
  insertstr(AddTxt);
 }	        
}
//-->
</script>
<script language=javascript>
ie = (document.all)? true:false
if (ie){
function ctlent(eventobject){if(event.ctrlKey && window.event.keyCode==13){this.document.ctbform.submit();}}
}

function submitonce(theform){
//if IE 4+ or NS 6+
if (document.all||document.getElementById){
//screen thru every element in the form, and hunt down "submit" and "reset"
for (i=0;i<theform.length;i++){
var tempobj=theform.elements[i]
if(tempobj.type.toLowerCase()=="submit"||tempobj.type.toLowerCase()=="reset")
//disable em
tempobj.disabled=true
}
}
}
</script>
<br>
<table width="100%" border="0" cellspacing="1" cellpadding="3" bgcolor="#6394bd" align="center">
    <tr bgcolor="#6394bd"> 
      <td colspan="2"><font color=white><b>-=>回复该主题</b></font></td>
    </tr>
  <form name="ctbform" method="post" action="./index.php">
    <input type="hidden" name="mods" value="post">
  <tr bgcolor="#FFFFFF"> 
      <td width="21%">
	    &nbsp;登陆ID:</td>
      <td width="79%">
	    <input type="text" name="topic_title" class="input2" size="21" maxlength=38 value="{$this->sess['sess_ulogin']}" disabled>
	  </td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
      <td width="21%">
	    &nbsp;您的姓名:</td>
      <td width="79%">
	    <input type="text" name="topic_title" class="input2" size="21" maxlength=38 value="{$this->sess['sess_uname']}" disabled>
	  </td>
  </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="21%">&nbsp;回复标题:</td>
      <td width="79%" bgcolor="#FFFFFF"> 
        <input type="text" name="replyTitle" class="input2" size="58" value="Re:$postTitleFirst" maxlength=38>
        (<font color="#FF0000">必填</font>)
        <input type="hidden" name="action" value="reply">
        <input type="hidden" name="mods" value="post">
		<input type="hidden" name="topicid" value="{$this->input['topicid']}">
        <input type="hidden" name="forumid" value="{$this->input['forumid']}">
        <input type="hidden" name="postid" value="{$this->input['postid']}">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="21%" valign=top><br>&nbsp;回复信息:<br><br>>html 代码不可以使用；<br>>CTB 代码可以使用；<br>>点击<a href="index.php?mods=others&action=ctbhelp" target="_blnk"><b>这里</b></a>查看使用方法；
	  <br><br>
	  <INPUT name="disableCtbCode" type=checkbox  value="1">禁用CTB代码;<br>
      <INPUT name="disableUrl" type=checkbox  value="1">禁用url自动识别;<br>
<INPUT name="disableSymbol"  type=checkbox  value="1" checked>禁用表情符号；<br>
<INPUT name="disableSig" type=checkbox  value="1">禁用我的签名；	  	  
      <td width="79%" bgcolor="#FFFFFF"> 
<img  align=absBottom alt="插入粗体字" onclick=btn_b() src="{$this->tplPath}/images/post/bold.gif"  width="23" height="22">
<img  align=absBottom alt="插入斜体字" onclick=btn_i() src="{$this->tplPath}/images/post/italicize.gif"  width="23" height="22">
<img  align=absBottom alt="下划线文字" onclick=btn_u() src="{$this->tplPath}/images/post/underline.gif"  width="23" height="22">
<img  align=absBottom alt="插入超级链接" onclick=btn_url()  src="{$this->tplPath}/images/post/url.gif"  width="23" height="22">
<img  align=absBottom alt="插入图片" onclick=btn_img() src="{$this->tplPath}/images/post/img.gif"  width="23" height="22">
<img  align=absBottom alt="插入Flash动画" onclick=btn_swf() src="{$this->tplPath}/images/post/flash.gif"  width="23" height="22">
<img  align=absBottom alt=插入email onclick=btn_email() src="{$this->tplPath}/images/post/email2.gif"  width="23" height="22">
<img  align=absBottom alt=插入引用内容 onclick=btn_q() src="{$this->tplPath}/images/post/quote2.gif"  width="23" height="22">
<img  align=absBottom alt=插入代码 onclick=btn_code() src="{$this->tplPath}/images/post/code.gif"  width="23" height="22">
<SELECT  class="input5" name=color 
      onchange=showcolor(this.options[this.selectedIndex].value)> <OPTION 
        selected style="COLOR: #cc0099" value=#cc0099>◆深紫◆</OPTION> <OPTION 
        style="COLOR: #009933" value=#009933>◆深绿◆</OPTION> <OPTION 
        style="COLOR: #ff9900" value=#ff9900>◆棕色◆</OPTION> <OPTION 
        style="COLOR: #00cc99" value=#00cc99>◆叶绿◆</OPTION> <OPTION 
        style="COLOR: #ff9999" value=#ff9999>◆粉红◆</OPTION> <OPTION 
        style="COLOR: #cc0066" value=#cc0066>◆深红◆</OPTION> <OPTION 
        style="COLOR: #33ccff" value=#33aaff>◆天蓝◆</OPTION> <OPTION 
        style="COLOR: #330099" value=#330099>◆深蓝◆</OPTION> <OPTION 
        style="COLOR: #333333" value=#333333>◆深灰◆</OPTION></SELECT> <br>
        <textarea name="replyBody" cols="98" rows="15" class="input3" onkeyup=checkcomments2() wrap=physical onkeydown=ctlent()></textarea>
        (<font color="#FF0000">必填</font>) <br>
        <script>
                <!--
          function checkcomments2() {
				 document.ctbform.charleft.value = document.ctbform.replyBody.value.length;
 				if (document.ctbform.replyBody.value.length > {$this->set[postCommonWidth]}) {
					length = document.ctbform.replyBody.value.length - {$this->set[postCommonWidth]};
					alert("您输入的文章长度超过限制了，请返回检查！限制字符长度是 " + {$this->set[postCommonWidth]} + " 个字符 ， 您的文章长度是 " + document.ctbform.replyBody.value.length + " 个字符，超过了 " + length + "个字符。");
					return false;
				}
            }
         //-->
        </script>
        自动显示帖子长度：<input type="text" name="charleft" value="0" readonly class="input2" size="10">
      </td>
    </tr>
    <tr align="center" bgcolor="#FFFFFF"> 
      <td colspan="2"> 
      <input type='hidden' name='quote_mgs' value="$quote_mgs">
      <input type='hidden' name='quote_name' value="$quote_name">
        <input type="submit" name="send" value=" 确定 " class="input1">
        <input type="reset" name="Submit2" value=" 取消 " class="input1">
        [<font color="#FF0000"><b>Ctrl+Enter</b>直接提交贴子</font>] </td>
    </tr>
  </form>
</table>
$footer

